> ## Documentation Index
> Fetch the complete documentation index at: https://docs.paytring.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Validate VPA

> This api is for merchants integrating order process api and want to check if customer provided vpa is valid or not.

This API is used to validate a Virtual Payment Address (VPA) for UPI transactions.

### Request Body

```json theme={null}
{
  "key": "string", // Merchant API key
  "vpa": "string", // Virtual Payment Address
  "hash": "string" // Calculated hash for request validation
}
```

### Responses

#### 200 OK

```json theme={null}
{
  "status": true,
  "message": "VPA is valid",
  "vpa": "string"
}
```

#### 400 Bad Request

```json theme={null}
{
  "status": false,
  "error": {
    "message": "Invalid VPA",
    "code": 400
  }
}
```


## OpenAPI

````yaml POST /api/v1/info/vpa
openapi: 3.1.0
info:
  title: Orchestration
  version: '1'
servers:
  - url: https://api.paytring.com
security:
  - sec0: []
paths:
  /api/v1/info/vpa:
    post:
      summary: Validate VPA
      description: >-
        This api is for merchants integrating order process api and want to
        check if customer provided vpa is valid or not.
      operationId: validate-vpa
      requestBody:
        content:
          application/json:
            schema:
              type: object
              required:
                - key
                - vpa
                - hash
              properties:
                key:
                  type: string
                  description: Merchant key, available in dashboard profile section
                vpa:
                  type: string
                  description: vpa you want to be validated.
                hash:
                  type: string
                  description: to be calculated for this request
      responses:
        '200':
          description: '200'
          content:
            application/json:
              examples:
                Result:
                  value: |-
                    {
                     "status": true,    
                     "isVPAValid": true,    
                     "payerAccountName": "User Name"
                    }
        '400':
          description: '400'
          content:
            application/json:
              examples:
                Result:
                  value: '{}'
              schema:
                type: object
                properties: {}
      deprecated: false
      security: []
components:
  securitySchemes:
    sec0:
      type: http
      scheme: basic

````